import configparser
from datetime import timedelta

base_config = {
    "SECRET_KEY": "asdfzxcv",  # session加密
    "PERMANENT_SESSION_LIFETIME": timedelta(days=30),  # 设置session过期时间
    "DEBUG": True,
    # SERVER_NAME : 'example.com'
    "HOST": "0.0.0.0",
    "PORT": 9000,
}


def setup_config(config_path):
    """获取配置文件"""
    conf = configparser.ConfigParser()
    conf.read(config_path)

    new_config = {
        # base
        "SECRET_KEY": conf.get("base", "secret_key"),  # session加密
        # "PERMANENT_SESSION_LIFETIME": timedelta(days=30),  # 设置session过期时间
        "DEBUG": conf.getboolean("base", "debug"),
        "HOST": conf.get("base", "host"),
        "PORT": conf.getint("base", "port"),
        # qdrant
        "QDRANT_HOST": conf.get("qdrant", "qdrant_host"),
        "QDRANT_PORT": conf.get("qdrant", "qdrant_port"),
        "QDRANT_COLLECTION": conf.get("qdrant", "qdrant_collection"),
        # openai_api_key
        "OPENAI_API_KEY": conf.get("openai", "api_key"),

        # yhbot
        "PARK_SCORE": conf.get("yhbot", "park_score")
    }
    base_config.update(new_config)


# class BaseConfig:
#     """配置基类"""
#
#     # SECRET_KEY = os.urandom(24)
#     SECRET_KEY = "asdfzxcv"  # session加密
#     PERMANENT_SESSION_LIFETIME = timedelta(days=30)  # 设置session过期时间
#     DEBUG = True
#     # SERVER_NAME = 'example.com'
#     HOST = "0.0.0.0"
#     PORT = 9000
#
#     @staticmethod
#     def init_app(app):
#         pass


# class NewConfig(BaseConfig):
#     """区分配置文件"""
#
#     def __init__(self, config_path):
#         self._conf = get_config(config_path)
#
#
#     # base
#     SECRET_KEY = self._conf.get("base", "secret_key")  # session加密
#     PERMANENT_SESSION_LIFETIME = timedelta(days=30)  # 设置session过期时间
#     DEBUG = self._conf.getboolean("base", "debug")
#     HOST = self._conf.get("base", "host")
#     PORT = self._conf.getint("base", "port")
#
#     # qdrant
#     QDRANT_HOST = self._conf.get("qdrant", "qdrant_host")
#     QDRANT_PORT = self._conf.get("qdrant", "qdrant_port")
#
#     # openai_api_key
#     OPENAI_KEY = self._conf.get("openai", "api_key")
#
#     # # mysql
#     # MYSQL_USERNAME = conf.get("mysql", "USERNAME")
#     # MYSQL_PASSWORD = conf.get("mysql", "PASSWORD")
#     # MYSQL_HOSTNAME = conf.get("mysql", "HOSTNAME")
#     # MYSQL_PORT = conf.getint("mysql", "PORT")
#     # MYSQL_DATABASE = conf.get("mysql", "DATABASE")
#     # DB_URI = "mysql+pymysql://{}:{}@{}:{}/{}?charset=utf8".format(
#     #     MYSQL_USERNAME, MYSQL_PASSWORD, MYSQL_HOSTNAME, MYSQL_PORT, MYSQL_DATABASE
#     # )
#     # SQLALCHEMY_DATABASE_URI = DB_URI
#     # SQLALCHEMY_TRACK_MODIFICATIONS = True
#
#     # # redis
#     # redis_obj = {
#     #     "host": conf.get("redis", "REDIS_HOST"),
#     #     "port": conf.get("redis", "REDIS_PORT"),
#     #     "password": conf.get("redis", "REDIS_PWD"),
#     #     "decode_responses": conf.getboolean("redis", "DECODE_RESPONSES"),
#     #     "db": conf.getint("redis", "REDIS_DB"),
#     # }
#     # POOL = redis.ConnectionPool(**redis_obj)
#     # R = redis.Redis(connection_pool=POOL)
