from flask import Flask
from ..config.config import base_config, setup_config


def register_config(app: Flask, *args, **kwargs):
    """配置文件"""

    config_path = kwargs.get("config_path")
    if config_path is None:
        raise FileNotFoundError("Configuration Not Found")

    setup_config(config_path)
    app.config.from_mapping(base_config)
    # print(app.config)
